Bug 177634 - New port: security/qtkeychain, a Qt API for storing passwords
Summary: New port: security/qtkeychain, a Qt API for storing passwords
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-04 18:00 UTC by Gleb Popov
Modified: 2013-04-17 07:10 UTC (History)
0 users

See Also:


Attachments
file.shar (2.96 KB, text/plain)
2013-04-04 18:00 UTC, Gleb Popov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gleb Popov freebsd_committer 2013-04-04 18:00:00 UTC

Fix: Patch attached with submission follows:
Comment 1 Jason Helfman freebsd_committer 2013-04-04 19:18:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-04-17 07:06:33 UTC
Author: jgh
Date: Wed Apr 17 06:06:24 2013
New Revision: 315930
URL: http://svnweb.freebsd.org/changeset/ports/315930

Log:
  - add new port: security/qtkeychain
  
  QtKeychain is a Qt API to store passwords and other secret data securely.How
  the data is stored depends on the platform.
  For Linux/Unix, KWallet (via D-Bus) is used. Support for the GNOME Keyring
  via freedesktop.org's Secret Storage D-Bus specification is planned
  but not yet implemented.
  
  WWW: https://github.com/frankosterfeld/qtkeychain
  
  PR:		177634
  Submitted by:	6yearold@gmail.com
  
  Feature safe:	yes

Added:
  head/security/qtkeychain/
  head/security/qtkeychain/Makefile   (contents, props changed)
  head/security/qtkeychain/distinfo   (contents, props changed)
  head/security/qtkeychain/files/
  head/security/qtkeychain/files/patch-auto_ptr.h   (contents, props changed)
  head/security/qtkeychain/pkg-descr   (contents, props changed)
  head/security/qtkeychain/pkg-plist   (contents, props changed)
Modified:
  head/security/Makefile

Modified: head/security/Makefile
==============================================================================
--- head/security/Makefile	Wed Apr 17 06:02:48 2013	(r315929)
+++ head/security/Makefile	Wed Apr 17 06:06:24 2013	(r315930)
@@ -801,6 +801,7 @@
     SUBDIR += qca-ossl
     SUBDIR += qca-tls
     SUBDIR += qtfw
+    SUBDIR += qtkeychain
     SUBDIR += quantis
     SUBDIR += quantis-kmod
     SUBDIR += racoon2

Added: head/security/qtkeychain/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/qtkeychain/Makefile	Wed Apr 17 06:06:24 2013	(r315930)
@@ -0,0 +1,24 @@
+# $FreeBSD$
+
+PORTNAME=	qtkeychain
+PORTVERSION=	0.1.0
+CATEGORIES=	security
+
+MAINTAINER=	6yearold@gmail.com
+COMMENT=	Platform independent Qt API for storing passwords
+
+LICENSE=	BSD
+LICENSE_FILE=	${WRKSRC}/COPYING
+
+USE_GITHUB=	yes
+GH_ACCOUNT=	frankosterfeld
+GH_TAGNAME=	v${PORTVERSION}
+GH_COMMIT=	bb32e45
+
+USES=	cmake
+USE_QT4=	corelib dbus moc_build qmake_build rcc_build
+USE_LDCONFIG=	yes
+
+MAKE_JOBS_SAFE=	yes
+
+.include <bsd.port.mk>

Added: head/security/qtkeychain/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/qtkeychain/distinfo	Wed Apr 17 06:06:24 2013	(r315930)
@@ -0,0 +1,2 @@
+SHA256 (qtkeychain-0.1.0.tar.gz) = cf4fa0e9063d6df54c191e361566f5b6e5d3a5867fc0d9ab96954af393c939ef
+SIZE (qtkeychain-0.1.0.tar.gz) = 12834

Added: head/security/qtkeychain/files/patch-auto_ptr.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/qtkeychain/files/patch-auto_ptr.h	Wed Apr 17 06:06:24 2013	(r315930)
@@ -0,0 +1,11 @@
+--- _keychain_dbus.cpp	2013-03-25 20:32:44.801564594 +0400
++++ keychain_dbus.cpp	2013-03-25 20:32:49.811561714 +0400
+@@ -10,7 +10,7 @@
+ 
+ #include <QSettings>
+ 
+-#include <auto_ptr.h>
++#include <memory>
+ 
+ using namespace QKeychain;
+ 

Added: head/security/qtkeychain/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/qtkeychain/pkg-descr	Wed Apr 17 06:06:24 2013	(r315930)
@@ -0,0 +1,7 @@
+QtKeychain is a Qt API to store passwords and other secret data securely.How
+the data is stored depends on the platform.
+For Linux/Unix, KWallet (via D-Bus) is used. Support for the GNOME Keyring
+via freedesktop.org's Secret Storage D-Bus specification is planned
+but not yet implemented.
+
+WWW: https://github.com/frankosterfeld/qtkeychain

Added: head/security/qtkeychain/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/qtkeychain/pkg-plist	Wed Apr 17 06:06:24 2013	(r315930)
@@ -0,0 +1,12 @@
+include/qtkeychain/keychain.h
+include/qtkeychain/qkeychain_export.h
+lib/cmake/QtKeychain/QtKeychainConfig.cmake
+lib/cmake/QtKeychain/QtKeychainConfigVersion.cmake
+lib/cmake/QtKeychain/QtKeychainLibraryDepends-release.cmake
+lib/cmake/QtKeychain/QtKeychainLibraryDepends.cmake
+lib/libqtkeychain.so
+lib/libqtkeychain.so.0
+lib/libqtkeychain.so.0.1.0
+@dirrm lib/cmake/QtKeychain
+@dirrmtry lib/cmake
+@dirrm include/qtkeychain
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Jason Helfman freebsd_committer 2013-04-17 07:06:41 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!